gr::mapper::demapper Class Reference

<+description of block+> More...

`#include <demapper.h>`

Inheritance diagram for gr::mapper::demapper:
[legend]

## Public Types

typedef boost::shared_ptr< demapper > | sptr

## Static Public Member Functions

static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::demapper.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<demapper> gr::mapper::demapper::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::demapper::make | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values
| ) |  |

static

Return a shared_ptr to a new instance of mapper::demapper.

To avoid accidental use of raw pointers, mapper::demapper's constructor is in a private implementation class. mapper::demapper::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- demapper.h